<?php
// ------------------------------------------------------------------
//   共通処理
// ------------------------------------------------------------------

// URI文字列から連想配列を作る
function gatm_uri_to_array($uri) {
	$u_array = array();

	// URIとパラメータで分割
	$u = explode('?', $uri);
	$u_array['uri'] = $u[0];
	$u_array['param'] = array(); 

	// パラメータ部を配列に
	if (count($u) > 1) {
		// リクエストパラメータを分割
		$params  = explode('&', $u[1]);
		foreach ($params as $param) {
			$tmp = explode('=', $param);
			$key = $tmp[0];
			$val = '';
			if (count($tmp) > 1) $val = $tmp[1];
			$u_array['param'][$key] = $val;
		}
	}
	return $u_array;
}

// 
function gatm_array_to_uri($ar) {
	$uri = $ar['uri'];
	
	$p = '';
	foreach ($ar['param'] as $key => $val) {
		if (!empty($p)) $p .= '&';
		$p .= $key . '=' . $val;
	}
	if (!empty($p)) $uri .= '?' . $p;

	return $uri;
}

?>