<?php
// ------------------------------------------------------------------
//   Google Analytics Tag for Mobile オプション画面
// ------------------------------------------------------------------
?>
<div class="wrap" id="gatm_div">
  <form method="post">
    <h2>Google Analytics Tag for Mobile</h2>
    <fieldset class="options" name="general">
      <legend><?php _e('General settings', 'gatm') ?></legend>
      <table width="100%" cellspacing="2" cellpadding="5" class="editform">
        <tr>
          <th><?php _e('Account ID', 'gatm') ?></th>
          <td><input name="account_id" type="text" id="account_id" value="<?php echo gatm_get_option('account_id'); ?>" size="50" />
            <br /><?php _e('Enter your Google Analytics account ID. ', 'gatm') ?>
          </td>
        </tr>
        <tr>
          <th><?php _e('Enable tracker', 'gatm') ?></th>
          <td><input type="checkbox" name="enable_tracker" id="enable_tracker" value="true" <?php if (gatm_get_option('enable_tracker')) echo "checked"; ?> />
            <br /><?php _e('By unchecking this checkbox no tag will be included on the page. It is basically the same as disabling the whole plugin', 'gatm') ?>
          </td>
        </tr>
        <tr>
          <th><?php _e('Ignore logged on users', 'gatm') ?></th>
          <td><input type="checkbox" name="ignore_users" id="ignore_users" value="true" <?php if (gatm_get_option('ignore_users')) echo "checked"; ?> />
            <br /><?php _e('Check this checkbox and specify a user level to ignore users of a particular level or above. For such users the Google Analytics JavaScript will not be included in the page', 'gatm') ?>
          </td>
        </tr>
      </table>
    </fieldset>
    <fieldset class="options" name="uri_send">
      <legend><?php _e('Uri send settings', 'gatm') ?></legend>
      <table width="100%" cellspacing="2" cellpadding="5" class="editform">
        <tr>
          <th><?php _e('Ignore KtaiStyle params', 'gatm') ?></th>
          <td><input type="checkbox" name="uri_ignore_ks_params" id="uri_ignore_ks_params" value="true" <?php if (gatm_get_option('uri_ignore_ks_params')) echo "checked"; ?> />
            <br /><?php _e('If you check, It will not send uri parameters peculiar to KtaiStyle. (ex. img, ksid)', 'gatm') ?>
          </td>
        </tr>
        <tr>
          <th><?php _e('Ignore guid setting param', 'gatm') ?></th>
          <td><input type="checkbox" name="uri_ignore_guid" id="uri_ignore_guid" value="true" <?php if (gatm_get_option('uri_ignore_guid')) echo "checked"; ?> />
            <br /><?php _e('If you check, It will not send uri parameter peculiar to "guid" setting.', 'gatm') ?>
          </td>
        </tr>
      </table>
    </fieldset>
    
    <div class="submit">
      <input type="submit" name="info_update" value="<?php _e('Update options', 'gatm') ?>" />
	  </div>
  </form>
</div>